from datetime import datetime

from setuptools import setup, find_packages

_version = datetime.now().strftime('%Y%m%d%H%M%S')
setup(
    name='cdcc',
    version='1.0.{}'.format(_version),
    description='共通ライブラリ',
    long_description=open('README.md', encoding='utf-8').read(),
    long_description_content_type='text/markdown',
    # url='https://github.com/kexi/cdcc',
    author='kexi',
    author_email='kexi@kexi.jp',
    license='MIT',
    packages=find_packages('.'),
    install_requires=['openpyxl', 'pysimplegui'],
    keywords=['japanese'],
    classifiers=[
        'Development Status :: 1 - Planning',
        'Intended Audience :: Science/Research',
        'License :: OSI Approved :: MIT License',
        'Operating System :: POSIX :: Linux',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: MacOS :: MacOS X',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
    ],
)
